Skip to main content
POST
/
api
/
v1
/
access_review
/
{id}
Update
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AccessReview.Update(ctx, operations.C1APIAccessreviewV1AccessReviewServiceUpdateRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.AccessReviewServiceUpdateResponse != nil {
        // handle response
    }
}
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.accessReview.update({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request POST \
  --url https://{tenantDomain}.conductor.one/api/v1/access_review/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessReview": {
    "accessReviewTemplateId": "<string>",
    "autoCloseCampaign": true,
    "autoGenerateReport": true,
    "autoResolve": true,
    "autoStartCampaign": true,
    "bindings": {},
    "campaignHealth": {
      "checkedAt": "2023-11-07T05:31:56Z",
      "phantomLockedCount": 123
    },
    "campaignInsights": {
      "markdown": "<string>"
    },
    "closedAt": "2023-11-07T05:31:56Z",
    "columnConfig": {
      "columns": []
    },
    "completionDate": "2023-11-07T05:31:56Z",
    "connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
    "createdById": "<string>",
    "description": "<string>",
    "displayName": "<string>",
    "exclusionScope": {
      "appUserStatuses": [],
      "appUserTypes": []
    },
    "exemptCertifiedAccessConflicts": true,
    "expectedTicketCount": 123,
    "hasAccuracySupport": true,
    "id": "<string>",
    "inclusionScope": {
      "appUserStatuses": [],
      "appUserTypes": [],
      "managerIds": [
        "<string>"
      ],
      "multiUserProfileAttributes": {},
      "noAccountOwners": true,
      "userIds": [
        "<string>"
      ],
      "userStatuses": []
    },
    "multiApp": {
      "appEntitlementDetails": {},
      "appEntitlements": {}
    },
    "notificationConfig": {
      "sendClose": true,
      "sendKickoff": true,
      "sendReminders": true
    },
    "policyId": "<string>",
    "reviewInstructions": "<string>",
    "reviewerAttributeConfig": {
      "bindings": [
        {
          "appId": "<string>",
          "attributeKey": "<string>"
        }
      ]
    },
    "scheduledStartDate": "2023-11-07T05:31:56Z",
    "scope": {
      "appUserStatuses": [],
      "appUserTypes": []
    },
    "scopeV2": {
      "accountCelExpression": {
        "expression": "<string>"
      },
      "accountCriteria": {
        "accountTypes": [],
        "appUserStatuses": [],
        "noAccountOwner": true
      },
      "allAccessConflicts": {},
      "allAccounts": {},
      "allGrants": {},
      "allUsers": {},
      "appAccess": {},
      "appSelectionCriteria": {
        "complianceFrameworkAttributeValueIds": [
          "<string>"
        ],
        "riskLevelAttributeValueIds": [
          "<string>"
        ]
      },
      "celExpression": {
        "expression": "<string>"
      },
      "grantsByCriteria": {
        "accessProfileFilter": {
          "excludedAccessProfileIds": [
            "<string>"
          ],
          "includedAccessProfileIds": [
            "<string>"
          ]
        },
        "daysSinceAdded": "<string>",
        "daysSinceLastUsed": "<string>",
        "daysSinceReviewed": "<string>",
        "grantsAddedBetween": {
          "endDate": "2023-11-07T05:31:56Z",
          "startDate": "2023-11-07T05:31:56Z"
        }
      },
      "resourceSelection": {},
      "resourceTypeSelections": {},
      "selectedUsers": {
        "userIds": [
          "<string>"
        ]
      },
      "specificAccessConflicts": {},
      "specificResources": {},
      "userCriteria": {
        "groupAppEntitlementsRef": [
          {
            "appId": "<string>",
            "id": "<string>"
          }
        ],
        "managerUserIds": [
          "<string>"
        ],
        "multiUserProfileAttributes": {},
        "userStatus": []
      }
    },
    "scopingVersion": "<string>",
    "signatureConfig": {
      "meaningOfSignature": "<string>",
      "requireSignature": true,
      "stepUpProviderId": "<string>",
      "tspUrl": "<string>"
    },
    "singleApp": {
      "appId": "<string>"
    },
    "startedAt": "2023-11-07T05:31:56Z",
    "usePolicyOverride": true
  },
  "expandMask": {
    "paths": [
      "<string>"
    ]
  },
  "updateMask": "<string>"
}
'
import requests

url = "https://{tenantDomain}.conductor.one/api/v1/access_review/{id}"

payload = {
    "accessReview": {
        "accessReviewTemplateId": "<string>",
        "autoCloseCampaign": True,
        "autoGenerateReport": True,
        "autoResolve": True,
        "autoStartCampaign": True,
        "bindings": {},
        "campaignHealth": {
            "checkedAt": "2023-11-07T05:31:56Z",
            "phantomLockedCount": 123
        },
        "campaignInsights": { "markdown": "<string>" },
        "closedAt": "2023-11-07T05:31:56Z",
        "columnConfig": { "columns": [] },
        "completionDate": "2023-11-07T05:31:56Z",
        "connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "description": "<string>",
        "displayName": "<string>",
        "exclusionScope": {
            "appUserStatuses": [],
            "appUserTypes": []
        },
        "exemptCertifiedAccessConflicts": True,
        "expectedTicketCount": 123,
        "hasAccuracySupport": True,
        "id": "<string>",
        "inclusionScope": {
            "appUserStatuses": [],
            "appUserTypes": [],
            "managerIds": ["<string>"],
            "multiUserProfileAttributes": {},
            "noAccountOwners": True,
            "userIds": ["<string>"],
            "userStatuses": []
        },
        "multiApp": {
            "appEntitlementDetails": {},
            "appEntitlements": {}
        },
        "notificationConfig": {
            "sendClose": True,
            "sendKickoff": True,
            "sendReminders": True
        },
        "policyId": "<string>",
        "reviewInstructions": "<string>",
        "reviewerAttributeConfig": { "bindings": [
                {
                    "appId": "<string>",
                    "attributeKey": "<string>"
                }
            ] },
        "scheduledStartDate": "2023-11-07T05:31:56Z",
        "scope": {
            "appUserStatuses": [],
            "appUserTypes": []
        },
        "scopeV2": {
            "accountCelExpression": { "expression": "<string>" },
            "accountCriteria": {
                "accountTypes": [],
                "appUserStatuses": [],
                "noAccountOwner": True
            },
            "allAccessConflicts": {},
            "allAccounts": {},
            "allGrants": {},
            "allUsers": {},
            "appAccess": {},
            "appSelectionCriteria": {
                "complianceFrameworkAttributeValueIds": ["<string>"],
                "riskLevelAttributeValueIds": ["<string>"]
            },
            "celExpression": { "expression": "<string>" },
            "grantsByCriteria": {
                "accessProfileFilter": {
                    "excludedAccessProfileIds": ["<string>"],
                    "includedAccessProfileIds": ["<string>"]
                },
                "daysSinceAdded": "<string>",
                "daysSinceLastUsed": "<string>",
                "daysSinceReviewed": "<string>",
                "grantsAddedBetween": {
                    "endDate": "2023-11-07T05:31:56Z",
                    "startDate": "2023-11-07T05:31:56Z"
                }
            },
            "resourceSelection": {},
            "resourceTypeSelections": {},
            "selectedUsers": { "userIds": ["<string>"] },
            "specificAccessConflicts": {},
            "specificResources": {},
            "userCriteria": {
                "groupAppEntitlementsRef": [
                    {
                        "appId": "<string>",
                        "id": "<string>"
                    }
                ],
                "managerUserIds": ["<string>"],
                "multiUserProfileAttributes": {},
                "userStatus": []
            }
        },
        "scopingVersion": "<string>",
        "signatureConfig": {
            "meaningOfSignature": "<string>",
            "requireSignature": True,
            "stepUpProviderId": "<string>",
            "tspUrl": "<string>"
        },
        "singleApp": { "appId": "<string>" },
        "startedAt": "2023-11-07T05:31:56Z",
        "usePolicyOverride": True
    },
    "expandMask": { "paths": ["<string>"] },
    "updateMask": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    accessReview: {
      accessReviewTemplateId: '<string>',
      autoCloseCampaign: true,
      autoGenerateReport: true,
      autoResolve: true,
      autoStartCampaign: true,
      bindings: {},
      campaignHealth: {checkedAt: '2023-11-07T05:31:56Z', phantomLockedCount: 123},
      campaignInsights: {markdown: '<string>'},
      closedAt: '2023-11-07T05:31:56Z',
      columnConfig: {columns: []},
      completionDate: '2023-11-07T05:31:56Z',
      connectorSourcesFrozenAt: '2023-11-07T05:31:56Z',
      createdById: '<string>',
      description: '<string>',
      displayName: '<string>',
      exclusionScope: {appUserStatuses: [], appUserTypes: []},
      exemptCertifiedAccessConflicts: true,
      expectedTicketCount: 123,
      hasAccuracySupport: true,
      id: '<string>',
      inclusionScope: {
        appUserStatuses: [],
        appUserTypes: [],
        managerIds: ['<string>'],
        multiUserProfileAttributes: {},
        noAccountOwners: true,
        userIds: ['<string>'],
        userStatuses: []
      },
      multiApp: {appEntitlementDetails: {}, appEntitlements: {}},
      notificationConfig: {sendClose: true, sendKickoff: true, sendReminders: true},
      policyId: '<string>',
      reviewInstructions: '<string>',
      reviewerAttributeConfig: {bindings: [{appId: '<string>', attributeKey: '<string>'}]},
      scheduledStartDate: '2023-11-07T05:31:56Z',
      scope: {appUserStatuses: [], appUserTypes: []},
      scopeV2: {
        accountCelExpression: {expression: '<string>'},
        accountCriteria: {accountTypes: [], appUserStatuses: [], noAccountOwner: true},
        allAccessConflicts: {},
        allAccounts: {},
        allGrants: {},
        allUsers: {},
        appAccess: {},
        appSelectionCriteria: {
          complianceFrameworkAttributeValueIds: ['<string>'],
          riskLevelAttributeValueIds: ['<string>']
        },
        celExpression: {expression: '<string>'},
        grantsByCriteria: {
          accessProfileFilter: {excludedAccessProfileIds: ['<string>'], includedAccessProfileIds: ['<string>']},
          daysSinceAdded: '<string>',
          daysSinceLastUsed: '<string>',
          daysSinceReviewed: '<string>',
          grantsAddedBetween: {endDate: '2023-11-07T05:31:56Z', startDate: '2023-11-07T05:31:56Z'}
        },
        resourceSelection: {},
        resourceTypeSelections: {},
        selectedUsers: {userIds: ['<string>']},
        specificAccessConflicts: {},
        specificResources: {},
        userCriteria: {
          groupAppEntitlementsRef: [{appId: '<string>', id: '<string>'}],
          managerUserIds: ['<string>'],
          multiUserProfileAttributes: {},
          userStatus: []
        }
      },
      scopingVersion: '<string>',
      signatureConfig: {
        meaningOfSignature: '<string>',
        requireSignature: true,
        stepUpProviderId: '<string>',
        tspUrl: '<string>'
      },
      singleApp: {appId: '<string>'},
      startedAt: '2023-11-07T05:31:56Z',
      usePolicyOverride: true
    },
    expandMask: {paths: ['<string>']},
    updateMask: '<string>'
  })
};

fetch('https://{tenantDomain}.conductor.one/api/v1/access_review/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "accessReview": {
    "accessReview": {
      "accessReviewTemplateId": "<string>",
      "autoCloseCampaign": true,
      "autoGenerateReport": true,
      "autoResolve": true,
      "autoStartCampaign": true,
      "bindings": {},
      "campaignHealth": {
        "checkedAt": "2023-11-07T05:31:56Z",
        "phantomLockedCount": 123
      },
      "campaignInsights": {
        "markdown": "<string>"
      },
      "closedAt": "2023-11-07T05:31:56Z",
      "columnConfig": {
        "columns": []
      },
      "completionDate": "2023-11-07T05:31:56Z",
      "connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "description": "<string>",
      "displayName": "<string>",
      "exclusionScope": {
        "appUserStatuses": [],
        "appUserTypes": []
      },
      "exemptCertifiedAccessConflicts": true,
      "expectedTicketCount": 123,
      "hasAccuracySupport": true,
      "id": "<string>",
      "inclusionScope": {
        "appUserStatuses": [],
        "appUserTypes": [],
        "managerIds": [
          "<string>"
        ],
        "multiUserProfileAttributes": {},
        "noAccountOwners": true,
        "userIds": [
          "<string>"
        ],
        "userStatuses": []
      },
      "multiApp": {
        "appEntitlementDetails": {},
        "appEntitlements": {}
      },
      "notificationConfig": {
        "sendClose": true,
        "sendKickoff": true,
        "sendReminders": true
      },
      "policyId": "<string>",
      "reviewInstructions": "<string>",
      "reviewerAttributeConfig": {
        "bindings": [
          {
            "appId": "<string>",
            "attributeKey": "<string>"
          }
        ]
      },
      "scheduledStartDate": "2023-11-07T05:31:56Z",
      "scope": {
        "appUserStatuses": [],
        "appUserTypes": []
      },
      "scopeV2": {
        "accountCelExpression": {
          "expression": "<string>"
        },
        "accountCriteria": {
          "accountTypes": [],
          "appUserStatuses": [],
          "noAccountOwner": true
        },
        "allAccessConflicts": {},
        "allAccounts": {},
        "allGrants": {},
        "allUsers": {},
        "appAccess": {},
        "appSelectionCriteria": {
          "complianceFrameworkAttributeValueIds": [
            "<string>"
          ],
          "riskLevelAttributeValueIds": [
            "<string>"
          ]
        },
        "celExpression": {
          "expression": "<string>"
        },
        "grantsByCriteria": {
          "accessProfileFilter": {
            "excludedAccessProfileIds": [
              "<string>"
            ],
            "includedAccessProfileIds": [
              "<string>"
            ]
          },
          "daysSinceAdded": "<string>",
          "daysSinceLastUsed": "<string>",
          "daysSinceReviewed": "<string>",
          "grantsAddedBetween": {
            "endDate": "2023-11-07T05:31:56Z",
            "startDate": "2023-11-07T05:31:56Z"
          }
        },
        "resourceSelection": {},
        "resourceTypeSelections": {},
        "selectedUsers": {
          "userIds": [
            "<string>"
          ]
        },
        "specificAccessConflicts": {},
        "specificResources": {},
        "userCriteria": {
          "groupAppEntitlementsRef": [
            {
              "appId": "<string>",
              "id": "<string>"
            }
          ],
          "managerUserIds": [
            "<string>"
          ],
          "multiUserProfileAttributes": {},
          "userStatus": []
        }
      },
      "scopingVersion": "<string>",
      "signatureConfig": {
        "meaningOfSignature": "<string>",
        "requireSignature": true,
        "stepUpProviderId": "<string>",
        "tspUrl": "<string>"
      },
      "singleApp": {
        "appId": "<string>"
      },
      "startedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "usePolicyOverride": true
    },
    "createdByUserPath": "<string>",
    "objectPermissions": {
      "delete": true,
      "edit": true,
      "extra": {},
      "read": true
    },
    "policyPath": "<string>"
  },
  "expanded": [
    {
      "@type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The unique identifier of this access review campaign.

Body

application/json

The AccessReviewServiceUpdateRequest message.

accessReview
Access Review · object | null

An access review campaign (also called a certification campaign) that verifies whether users still need their access entitlements.

This message contains a oneof named setup_metadata. Only a single field of the following list may be set at a time:

  • singleApp
  • multiApp
  • bindings
expandMask
Access Review Expand Mask · object | null

The AccessReviewExpandMask message.

updateMask
string | null

Response

200 - application/json

Successful response

The AccessReviewServiceUpdateResponse message.

accessReview
Access Review View · object | null

The AccessReviewView message.

expanded
object[] | null

Related objects requested via the expand mask.